DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# DataTypeGetInfo

Get information about a data type

## SYNOPSIS

dip_Error dip_DataTypeGetInfo( dataType, info, whatInfo )

## ARGUMENTS

Data type | Name | Description
`dip_DataType` | `dataType` | The data type to get information about
`void *` | `info` | Pointer to a variable to put the information in
`dipf_DataTypeGetInfo` | `whatInfo` | What information should be returned

## FUNCTION

Get information about a data type. Depending on the `whatInfo` flag this routine will return information about the data type through the `info` parameter. A pointer must be passed to this routine which must point to a variable of the proper type to contain the information which will be returned. This pointer is passed as a void pointer through the `info` parameter. Below is a table of the flags that determine what information is returned, the type of the variable that is used to store the information in and a description of the information that is returned.

`dipf_DataTypeGetInfo` | type | description
`DIP_DT_INFO_PROPS` | `dip_DataTypeProperties` | a set of flags as shown in the table below
`DIP_DT_INFO_SIZEOF` | `dip_int` | `sizeof( data type )`
`DIP_DT_INFO_C2R` | `dip_DataType` | for complex types returns the corresponding floating point type (i.e. `dip_scomplex` -> `dip_sfloat`) for other data types returns the data type itself

The following table shows which `dip_DataTypeProperties` flags are set for which data types:

Data type identifier group | data types
`DIP_DT_IS_UINT` | unsigned integer
`DIP_DT_IS_UNSIGNED` | unsigned integer
`DIP_DT_IS_SINT` | signed integer
`DIP_DT_IS_INT` | signed and unsigned integer
`DIP_DT_IS_INTEGER` | signed and unsigned intege
`DIP_DT_IS_FLOAT` | floating-point
`DIP_DT_IS_REAL` | integer and floating-point
`DIP_DT_IS_COMPLEX` | complex floating-point
`DIP_DT_IS_SIGNED` | signed integer, floating-point and complex
`DIP_DT_IS_BINARY` | binary
`DIP_DT_IS_ANY` | all

## SEE ALSO

DIPlib's data types